Subject: [bug#63008] gdb on aarch64

From: Andreas Enge <[email-masked]>
Date: Tue, 25 Apr 2023 15:05:51 +0200

Hello Efraim,

Am Tue, Apr 25, 2023 at 01:46:47PM +0300 schrieb Efraim Flashner:
> It sounds like as it currently stands neither aarch64 nor riscv64 have a
> working rust on core-updates.

I am not sure whether it works, but at least it builds on aarch64:
   https://ci.guix.gnu.org/build/37421/details
This is rust-1.60, our publicly visible version; internally we are at 1.65,
which I suppose the rust-team branch is going to make visible soon.
I also see a few green dots of rust-* packages in the dashboard, alongside
many red dots; a random sample of them shows they suffer from the infamous
cuirass bug "cannot build missing derivation".

So I think we are good as far as core-updates is concerned, and you can
make the changes on the rust-team branch when you see fit.

Andreas